Index: tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/SVGSWTChartsComponentsProvider.java
===================================================================
--- tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/SVGSWTChartsComponentsProvider.java	(revision 527)
+++ tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/SVGSWTChartsComponentsProvider.java	(revision 528)
@@ -17,9 +17,7 @@
 import org.apache.batik.transcoder.svg2svg.SVGTranscoder;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.widgets.Composite;
-import org.txm.chartsengine.core.ChartCreator;
 import org.txm.chartsengine.core.ChartsEngine;
-import org.txm.core.results.TXMResult;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.editors.ChartEditorInput;
 import org.txm.chartsengine.rcp.editors.ChartEditorPart;
@@ -50,17 +48,23 @@
 	
 	
 	@Override
-	public boolean createChart(ChartsEngine chartsEngine, ChartEditorInput chartEditorInput, TXMResult result, String chartType)	{
-		ChartCreator chartCreator = chartsEngine.getChartCreator(result.getClass(), chartType);
-		if(chartCreator != null)	{
-			chartEditorInput.setChartContainer(chartCreator.createChartFile(result));
+	public boolean createChartContainer(ChartsEngine chartsEngine, ChartEditorInput chartEditorInput)	{
+
+		Object chart = chartEditorInput.getChart();
+		
+		//if(chart != null)	{
+			chartEditorInput.setChartContainer(chart);
 			
 			// sets and updates the local preferences node qualifier from the result data
 			chartEditorInput.syncLocalPreferencesNode();
+
+
 			
 			return true;
-		}
-		return false;
+		//}
+		
+		
+		//return false;
 	}
 
 
@@ -77,21 +81,7 @@
 	  * @return
 	  */
 	 public static SVGComposite createCompositeStatic(ChartEditorPart chartEditor, Composite parent)	{
-
-		 SVGComposite composite = new SVGComposite(chartEditor, parent, SWT.EMBEDDED | SWT.NO_BACKGROUND);
-
-		 // Link the composite to the chart editor (need to be done before initializing the AWT delegation events)
-		 chartEditor.setComposite(composite);
-
-		 // Initialize Swing/AWT events
-		 SWTChartsComponentsProvider.initializeAWTDelegationListeners(chartEditor, composite.getPanel().getSVGCanvas());
-
-		 // Load the chart in composite
-		 if(chartEditor.getEditorInput().getChartContainer() != null)	{
-			 composite.loadChart(chartEditor.getEditorInput().getChartContainer());
-		 }
-		 
-		 return composite;
+		 return new SVGComposite(chartEditor, parent, SWT.EMBEDDED | SWT.NO_BACKGROUND);
 	 }
 
 
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 527)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 528)
@@ -32,9 +32,9 @@
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.IStatus;
 import org.eclipse.core.runtime.Status;
+import org.eclipse.core.runtime.jobs.Job;
 import org.eclipse.jface.window.Window;
 import org.eclipse.osgi.util.NLS;
-import org.eclipse.swt.SWT;
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.chartsengine.core.ChartsEngine;
@@ -48,7 +48,6 @@
 import org.txm.progression.core.messages.ProgressionCoreMessages;
 import org.txm.progression.core.preferences.ProgressionPreferences;
 import org.txm.progression.rcp.dialogs.ProgressionDialog;
-import org.txm.progression.rcp.forms.ProgressionParametersComposite;
 import org.txm.rcp.JobsTimer;
 import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
@@ -87,7 +86,9 @@
 		}
 
 		Object selection = this.getSelection();
-
+		Progression progression = null;
+		
+		
 		// Compute a new progression
 		if(selection instanceof Corpus)	{
 			Corpus corpus = (Corpus) selection;
@@ -104,15 +105,21 @@
 			
 			int code = d.open();
 			if (code == Window.OK) {
-				computeProgression(d);
+				//computeProgression(d);
+				
+				progression = new Progression(d.getCorpus(), d.getQueries(), d.getStructuralUnit(), d.getStructuralProperty(), d.getPropertyregex(),
+						d.isCumulativeType(), d.getLineWidth(), d.isRepeatvalues(), d.getBandeMultiplier());
 			}
 
 		}
 		// Reopens a progression result with default preferences
 		else if(selection instanceof Progression)	{
-			openEditor((Progression) selection);
+			progression = (Progression) selection;
 		}
 		
+		
+		openEditor(progression);
+		
 		return null;
 	}
 
@@ -146,52 +153,6 @@
 			// Create and open the chart editor
 			editor = SWTChartsComponentsProvider.getCurrent().openEditor(progression);
 
-			
-
-			// FIXME: tests parameters composite extension
-			// Contribute to the tool bar without extending ChartEditorPart
-			// FIXME: finally, would be better to create a ProgressionEditor
-			if(!editor.wasAlreadyOpened())	{
-				new ProgressionParametersComposite(editor.getCommandParametersGroup(), SWT.NONE);
-				editor.getCommandParametersGroup().pack();
-			}
-			// FIXME: tests to use Fields editor and ScopedPreferenceStore for command parameters
-//			BooleanFieldEditor field = new BooleanFieldEditor(ChartsEnginePreferences.SHOW_TITLE, "test2 show title store", editor.getParametersComposite());
-//			field.setPreferenceStore(new TXMPreferenceStore(TXMPreferences.getId(progression)));
-//			field.load();
-//			field.store();
-//			try {
-//				((ScopedPreferenceStore) field.getPreferenceStore()).save();
-//			}
-//			catch(IOException e) {
-//				// TODO Auto-generated catch block
-//				e.printStackTrace();
-//			}
-			
-			
-			// FIXME: to discuss
-//			// initialize extended menus for item selection
-//			Menu menu = editor.getComposite().getContextMenu(EventCallBack.AREA_ITEM);
-//			
-//			// send to index
-//			MenuItem sendToIndex = new MenuItem(menu.getItem(0).getMenu(), SWT.CASCADE);
-//		    sendToIndex.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHARED_SEND_SELECTION_TO_INDEX);
-//		    sendToIndex.setImage(IImageKeys.getImage(IImageKeys.ACTION_INDEX));
-//		    sendToIndex.addSelectionListener(new ProgressionSelectionListener(editor, BaseSelectionListener.SEND_TO_INDEX));
-//
-//		    // send to concordance
-//			MenuItem sendToConcordance = new MenuItem(menu.getItem(0).getMenu(), SWT.CASCADE);
-//		    sendToConcordance.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHARED_SEND_SELECTION_TO_CONCORDANCE);
-//		    sendToConcordance.setImage(IImageKeys.getImage(IImageKeys.ACTION_CONCORDANCES));
-//		    sendToConcordance.addSelectionListener(new ProgressionSelectionListener(editor, BaseSelectionListener.SEND_TO_CONCORDANCE));
-//		    
-//		    // send to cooccurrence
-//			MenuItem sendToCoorccurrence = new MenuItem(menu.getItem(0).getMenu(), SWT.CASCADE);
-//		    sendToCoorccurrence.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHARED_SEND_SELECTION_TO_COOCCURRENCE);
-//		    sendToCoorccurrence.setImage(IImageKeys.getImage(IImageKeys.ACTION_COOCCURRENCE));
-//		    sendToCoorccurrence.addSelectionListener(new ProgressionSelectionListener(editor, BaseSelectionListener.SEND_TO_COOCCURRENCE));
-//		    //*****************************************************
-
 		}
 		
 		return editor;
@@ -205,12 +166,24 @@
 	 *
 	 * @param dialog the dialog box
 	 */
-	public static Object computeProgression(final ProgressionDialog dialog) {
-		if (!CQPEngine.isInitialized()) return false;
+	@Deprecated
+	public Object computeProgression(final ProgressionDialog dialog) {
+		if (!this.checkCorpusEngine())	{
+			return false;
+		}
+
 		
-		JobHandler jobhandler = new JobHandler(NLS.bind(ProgressionCoreMessages.ComputeProgression_2, dialog.getQueries(), dialog.getCorpus().getName())) {
+
+		
+		JobHandler job = new JobHandler(NLS.bind(ProgressionCoreMessages.ComputeProgression_2, dialog.getQueries(), dialog.getCorpus().getName())) {
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
+				
+				final Progression progression = new Progression(dialog.getCorpus(), dialog.getQueries(), dialog.getStructuralUnit(), dialog.getStructuralProperty(), dialog.getPropertyregex(),
+						dialog.isCumulativeType(), dialog.getLineWidth(), dialog.isRepeatvalues(), dialog.getBandeMultiplier());
+				
+				monitor = progression;
+				
 				this.runInit(monitor);
 				JobsTimer.start();
 				try {
@@ -221,44 +194,33 @@
 					}
 
 					
-					final Progression progression = new Progression(dialog.getCorpus(), dialog.getQueries(), dialog.getStructuralUnit(), dialog.getStructuralProperty(), dialog.getPropertyregex(),
-							dialog.isCumulativeType(), dialog.getLineWidth(), dialog.isRepeatvalues(), dialog.getBandeMultiplier());
 
 					
 					// persistence
 					if(dialog.isBlackAndWhite())	{
-						TXMPreferences.putLocalInt(progression, ChartsEnginePreferences.RENDERING_COLORS_MODE, ChartsEngine.RENDERING_BLACK_AND_WHITE_MODE);	
+						TXMPreferences.putLocal(progression, ChartsEnginePreferences.RENDERING_COLORS_MODE, ChartsEngine.RENDERING_BLACK_AND_WHITE_MODE);	
 					}
-					TXMPreferences.putLocalBoolean(progression, ProgressionPreferences.CHART_MONO_STYLE, dialog.isMonoStyle());
-					TXMPreferences.putLocalBoolean(progression, ProgressionPreferences.CHART_CUMULATIVE, dialog.isCumulativeType());
+					TXMPreferences.putLocal(progression, ProgressionPreferences.CHART_MONO_STYLE, dialog.isMonoStyle());
+					TXMPreferences.putLocal(progression, ProgressionPreferences.CHART_CUMULATIVE, dialog.isCumulativeType());
 					
 					
 					
 					Log.info(NLS.bind(ProgressionCoreMessages.ComputeProgression_4, 
 							new Object[]{dialog.getCorpus(), dialog.getQueries(), dialog.getStructuralUnit(), dialog.getStructuralProperty(), dialog.isCumulativeType()}));
 					
+					monitor.worked(50);
 					
 					
-					monitor.worked(50);
-					if (monitor.isCanceled())
+					if (monitor.isCanceled())	{
 						return Status.CANCEL_STATUS;
-					boolean success = true;//progression.process();
-
-					if (!progression.stepQueries()) {
-						System.out.println(ProgressionCoreMessages.ComputeProgression_3);
-						return Status.CANCEL_STATUS;
 					}
-					if (monitor.isCanceled()) return Status.CANCEL_STATUS;
-					monitor.worked(10);
+					
+					boolean success = progression.compute(false, monitor);
 
-					if (!progression.stepStructuralUnits() || monitor.isCanceled())
-						return Status.CANCEL_STATUS;
-					monitor.worked(20);
-
-					if (!progression.stepFinalize() || monitor.isCanceled())
-						return Status.CANCEL_STATUS;
-					monitor.worked(20);
-
+					
+					
+					
+					
 					// System.out.println("success : "+success);
 					if (success) {
 						syncExec(new Runnable() {
@@ -275,7 +237,7 @@
 					monitor.worked(45);
 
 					monitor.subTask(RCPMessages.RefreshingCorporaView);
-					CorporaView.storeResult(corpus, progression);
+					//CorporaView.storeResult(corpus, progression);
 					
 					monitor.worked(5);
 					System.out.println(NLS.bind(ProgressionCoreMessages.ComputeProgression_12, progression.getPositionsCounts()));
@@ -298,7 +260,11 @@
 				return Status.OK_STATUS;
 			}
 		};
-		jobhandler.startJob();
+		//jobhandler.setCurrentMonitor(progression);
+		//jobhandler.startJob();
+		job.setPriority(Job.DECORATE);
+		job.setUser(true);
+		job.schedule();
 		return null;
 	}
 }
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 527)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 528)
@@ -620,8 +620,8 @@
 					//monitor.worked(5);
 
 					cooc.setParameters(parameters);
-					if (cooc.validateParameters() && cooc.isDirty()) {
-						cooc.compute(this);
+					if (cooc.canCompute() && cooc.isDirty()) {
+						cooc.compute(false, this);
 					}
 
 					//FIXME: DEbug
Index: tmp/org.txm.index.core/groovy/org/txm/test/TestIndex.java
===================================================================
--- tmp/org.txm.index.core/groovy/org/txm/test/TestIndex.java	(revision 527)
+++ tmp/org.txm.index.core/groovy/org/txm/test/TestIndex.java	(revision 528)
@@ -62,7 +62,7 @@
 
 			Index index = new Index(corpus);
 			index.setParameters(query, properties, null, null, null, null);
-			index.compute();
+			index.compute(false);
 			index.getAllLines();
 			
 			if (sortBy != null) {
@@ -90,7 +90,7 @@
 
 			Index index = new Index(partition);
 			index.setParameters(query, properties, null, null, null, null);
-			index.compute();
+			index.compute(false);
 			index.getAllLines();
 			
 			if (sortBy != null) {
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 527)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 528)
@@ -40,7 +40,6 @@
 import java.util.List;
 
 import org.apache.commons.lang.StringUtils;
-import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.osgi.util.NLS;
 import org.rosuda.REngine.REXPMismatchException;
 import org.txm.core.results.TXMParameters;
@@ -186,7 +185,7 @@
 	}
 
 	@Override
-	public boolean _compute() throws Exception {
+	protected boolean _compute(boolean update) throws Exception {
 		lines.clear();
 		counts.clear();
 		partnames.clear();
@@ -1015,7 +1014,7 @@
 	}
 
 	@Override
-	public boolean validateParameters() {
+	public boolean canCompute() {
 		if (getCorpus() == null && getPartition() == null) {
 			System.out.println("Corpus or partition not set");
 			return false;
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 527)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 528)
@@ -1277,7 +1277,7 @@
 					leftContextSize, rightContextSize);
 			concordance.setCQLSeparator(cql_limit);
 
-			concordance.compute(null);
+			concordance.compute(false, null);
 
 			StatusLine.setMessage(NLS.bind(Messages.ConcordancesEditor_19, concordance.getNLines()));
 			if (concordance.getNLines() == 1)
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/DefaultChartMouseListener.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/DefaultChartMouseListener.java	(revision 527)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/DefaultChartMouseListener.java	(revision 528)
@@ -288,9 +288,10 @@
 
 
 		}
+		if(renderer.getItemsSelector() != null)	{
+			renderer.getItemsSelector().setMouseOverItem(series, item);
+		}
 
-		renderer.getItemsSelector().setMouseOverItem(series, item);
-
 	}
 
 }
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/JFCSWTChartsComponentsProvider.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/JFCSWTChartsComponentsProvider.java	(revision 527)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/JFCSWTChartsComponentsProvider.java	(revision 528)
@@ -11,6 +11,7 @@
 import org.jfree.chart.plot.XYPlot;
 import org.txm.chartsengine.core.ChartCreator;
 import org.txm.chartsengine.core.ChartsEngine;
+import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.core.results.TXMResult;
 import org.txm.chartsengine.jfreechart.core.JFCChartsEngine;
 import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
@@ -39,7 +40,9 @@
 
 	
 	
-	
+	/**
+	 * 
+	 */
 	public JFCSWTChartsComponentsProvider() {
 		super();
 	}
@@ -56,12 +59,17 @@
 
 	
 	@Override
-	public boolean createChart(ChartsEngine chartsEngine, ChartEditorInput chartEditorInput, TXMResult result, String chartType)	{
-		ChartCreator chartCreator = chartsEngine.getChartCreator(result.getClass(), chartType);
-		if(chartCreator != null)	{
-			JFreeChart chart = (JFreeChart) chartCreator.createChart(result); 
+	public boolean createChartContainer(ChartsEngine chartsEngine, ChartEditorInput chartEditorInput)	{
+
+		JFreeChart chart = (JFreeChart) chartEditorInput.getChart();
+			
+//		if(chart != null)	{
+
 			ChartPanel chartPanel = ((JFCChartsEngine) chartsEngine).getJFCTheme().createChartPanel(this, chart);
+			
+			
 			chartEditorInput.setChartContainer(chartPanel);
+			
 
 			// Store the chart panel in the renderer (eg. can be needed to get the Graphics2D object to use in getItemShape() to compute the label text bounds and draw a background rectangle.)
 			if(chart.getPlot() instanceof XYPlot && chart.getXYPlot().getRenderer() instanceof IRendererWithItemSelection)	{
@@ -72,19 +80,20 @@
 			}
 			
 			// update for shared preferences, show title, show legend, colors rendering mode, etc.
-			chartCreator.updateChart(chart, result);
+			chartsEngine.updateChart(chart, chartEditorInput.getResult());
 
 			// sets and updates the local preferences node qualifier from the result data
 			chartEditorInput.syncLocalPreferencesNode();
+			
 			return true;
-		}
-		return false;
+	//	}
+		
+		//return false;
 	}
 	
 	
 	
 	
-//
 	@Override
 	public JFCChartsEngine getChartsEngine()	{
 		return (JFCChartsEngine) this.chartsEngine;
@@ -103,36 +112,10 @@
 	 * @return
 	 */
 	public static JFCComposite createCompositeStatic(ChartEditorPart chartEditor, Composite parent)	{
-
-
-		ChartPanel chartPanel = null;
-		// Get the chart panel from the editor input if exists
-		if(chartEditor.getEditorInput() instanceof ChartEditorInput && chartEditor.getEditorInput().getChartContainer() != null)	{	
-			chartPanel = (ChartPanel) chartEditor.getEditorInput().getChartContainer();
-		}
-		// Create a default empty chart panel
-		else	{
-
-			chartPanel = ((JFCSWTChartsComponentsProvider)SWTChartsComponentsProvider.getComponentsProvider(JFCSWTChartsComponentsProvider.class)).swingComponentsProvider.createDefaultEmptyChartPanel();
-			chartEditor.getEditorInput().setChartContainer(chartPanel);
-		}
-		
-		JFCComposite composite = new JFCComposite(chartEditor, parent, chartPanel);
-		((IChartComponent) chartPanel).setChartEditor(chartEditor);
-
-		// Link the composite to the chart editor (need to be done before initializing the AWT delegation events)
-		chartEditor.setComposite(composite);
-
-		// Initialize Swing/AWT events
-		SWTChartsComponentsProvider.initializeAWTDelegationListeners(chartEditor, chartPanel);
-
-		
-		return composite;
+		return new JFCComposite(chartEditor, parent);
 	}
 
 
-
-
 	@Override
 	public ArrayList<String> getEditorSupportedExportFileFormats()	{
 		return this.chartsEngine.getSupportedOutputFileFormats();
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/swt/JFCComposite.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/swt/JFCComposite.java	(revision 527)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/swt/JFCComposite.java	(revision 528)
@@ -1,6 +1,7 @@
 package org.txm.chartsengine.jfreechart.rcp.swt;
 
 import java.awt.BorderLayout;
+import java.awt.Component;
 import java.awt.EventQueue;
 import java.awt.Frame;
 import java.awt.Insets;
@@ -46,17 +47,21 @@
 
 
 
+	protected Frame frame;
+	
+	protected Panel rootPanel;
+	
 
 	/**
 	 * Creates a JFreeChart composite.
 	 * @param parent
 	 * @param panel
 	 */
-	public JFCComposite(ChartEditorPart chartEditor, Composite parent, ChartPanel panel) {
+	public JFCComposite(ChartEditorPart chartEditor, Composite parent) {
 		super(chartEditor, parent, SWT.EMBEDDED | SWT.NO_BACKGROUND);
 		//super(parent, SWT.EMBEDDED | SWT.NO_MERGE_PAINTS | SWT.NO_BACKGROUND); // do not fix the transparency problem
 
-		this.chartComponent = (IChartComponent) panel;
+		//this.chartComponent = (IChartComponent) panel;
 
 		// FIXME : transparency doesn't work with tool tips
 		// The problem here is that we normally need a JFrame but it seems to be impossible to embed a JFrame
@@ -64,7 +69,7 @@
 //		panel.setOpaque(false); // do not fix
 //		ToolTipManager.sharedInstance().setLightWeightPopupEnabled(true); // do not fix
 
-		final Frame frame = SWT_AWT.new_Frame(this);
+		this.frame = SWT_AWT.new_Frame(this);
 
 
 
@@ -79,10 +84,10 @@
 
 
 
-			// Need to add an AWT Panel to fix mouse events and mouse cursors changes on Swing JPanel
-			Panel rootPanel = new Panel(new BorderLayout());
-			rootPanel.add(this.getChartPanel()); // commenter cette ligne pour le test de scrolling ci-dessous
-			frame.add(rootPanel);
+//			// Need to add an AWT Panel to fix mouse events and mouse cursors changes on Swing JPanel
+//			this.rootPanel = new Panel(new BorderLayout());
+//			//rootPanel.add(this.getChartPanel()); // commenter cette ligne pour le test de scrolling ci-dessous
+//			this.frame.add(this.rootPanel);
 
 
 			// FIXME: test, smarter way to embed the frame ? Actually it doesn't fix neither the tooltip transparency nor the cursor change on pan under Mac OS X
@@ -209,7 +214,7 @@
 	//		});
 
 
-			frame.setVisible(true);
+			//this.frame.setVisible(true);
 			//parent.pack();
 
 //		   }
@@ -242,6 +247,7 @@
 	public ChartPanel getChartPanel() {
 		return (ChartPanel) this.chartComponent;
 	}
+	
 
 	@Override
 	public void loadChart(Object data) {
@@ -262,9 +268,21 @@
 	@Override
 	public void loadChart()	{
 		
-		// get a new chart from the editor input
-		this.loadChart(((ChartPanel)this.chartEditor.getComposite().getChartComponent()).getChart());
+		// creates components if they not exist
+		if(this.chartComponent == null)	{
+			this.chartComponent = (IChartComponent) this.chartEditor.getEditorInput().getChartContainer();
+			
+			// Need to add an AWT Panel to fix mouse events and mouse cursors changes on Swing JPanel
+			this.rootPanel = new Panel(new BorderLayout());
+			
+			this.rootPanel.add((Component) this.chartComponent);
+			this.frame.add(this.rootPanel);
+			this.frame.setVisible(true);
+		}
 		
+		// loads the chart from the result
+		this.loadChart(this.chartEditor.getChart());
+		
 		this.forceFocus();
 	}
 
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 527)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 528)
@@ -34,14 +34,12 @@
 import java.util.ArrayList;
 import java.util.List;
 
-import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.ca.core.messages.CACoreMessages;
 import org.txm.ca.core.preferences.CAPreferences;
 import org.txm.ca.core.statsengine.r.functions.FactoMineRCA;
 import org.txm.ca.core.statsengine.r.functions.ICA;
-import org.txm.chartsengine.core.results.IChartResult;
+import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.core.results.TXMParameters;
-import org.txm.core.results.TXMResult;
 import org.txm.lexicaltable.core.functions.LexicalTable;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Property;
@@ -55,7 +53,7 @@
  * @author sloiseau
  *  
  */
-public class CA extends TXMResult implements IChartResult {
+public class CA extends ChartResult {
 
 	/** The ca. */
 	private ICA ca;
@@ -168,7 +166,7 @@
 	}
 
 	@Override
-	public boolean _compute() throws Exception {
+	protected boolean _compute(boolean update) throws Exception {
 		return stepCompute();
 	}
 
@@ -903,7 +901,7 @@
 	}
 
 	@Override
-	public boolean validateParameters() {
+	public boolean canCompute() {
 		return this.table != null && table.getNColumns() > 3;
 	}
 
Index: tmp/org.txm.cah.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.cah.rcp/META-INF/MANIFEST.MF	(revision 527)
+++ tmp/org.txm.cah.rcp/META-INF/MANIFEST.MF	(revision 528)
@@ -1,6 +1,6 @@
 Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
-Bundle-Name: CAH RCP
+Bundle-Name: AHC RCP
 Bundle-SymbolicName: org.txm.cah.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
